org.wso2.carbon.dataservices.ui.beans

## Class Data

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Data

-     public class Data
      extends DataServiceConfigurationElement

  Object Model for the data service configuration. .. .. ..

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(Event event)`
    `void` | `addOperation(Operation operation)`
    `void` | `addQuery(Query query)`
    `void` | `addResource(Resource resource)`
    `void` | `addXADataSource(XADataSource xADataSource)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `AuthProvider` | `getAuthProvider()`
    `ComplexElement` | `getComplexElement(org.apache.axiom.om.OMElement complexElementEl)`
    `Config` | `getConfig(String configId)` Returns config object containing given config id.
    `ArrayList<Config>` | `getConfigs()`
    `String` | `getDescription()`
    `Event` | `getEvent(String eventName)` Returns Event object containing passed event name
    `ArrayList<Event>` | `getEvents()`
    `String` | `getName()`
    `Operation` | `getOperation(String operationName)` Returns operation object containing passed operation name.
    `ArrayList<Operation>` | `getOperations()`
    `Param[]` | `getParams(Iterator<org.apache.axiom.om.OMElement> paramItr)` Returns an array of Param objects, when an iterator of param elements is passed in.
    `String` | `getPasswordProvider()`
    `String` | `getProtectedTokens()`
    `ArrayList<Query>` | `getQueries()`
    `Query` | `getQuery(String queryId)` Returns query object containing passed query id.
    `Resource` | `getResource(String resourcePath, String resourceMethod)` Returns resource object containing passed resource name.
    `ArrayList<Resource>` | `getResources()`
    `Result` | `getResult(org.apache.axiom.om.OMElement resultEle)`
    `String` | `getSecureVaultNamespace()`
    `String` | `getServiceHierarchy()`
    `String` | `getServiceNamespace()`
    `String` | `getStatus()`
    `String` | `getTxManagerClass()`
    `String` | `getTxManagerCleanupMethod()`
    `String` | `getTxManagerName()`
    `XADataSource` | `getXADataSource(String xADataSourceId)` Returns XADataSource object containing passed XADataSource id
    `ArrayList<XADataSource>` | `getXADataSources()`
    `boolean` | `isBatchRequest()`
    `boolean` | `isBoxcarring()`
    `boolean` | `isDisableLegacyBoxcarringMode()`
    `boolean` | `isDisableStreaming()`
    `boolean` | `isEnableHTTP()`
    `boolean` | `isEnableHTTPS()`
    `boolean` | `isEnableJMS()`
    `boolean` | `isEnableLocal()`
    `boolean` | `isEnableXA()`
    `boolean` | `isEscapeNonPrintableChar()`
    `boolean` | `isUseAppServerTS()`
    `boolean` | `isUseColumnNumbers()`
    `void` | `populate(org.apache.axiom.om.OMElement dsXml)` populate Object model using OM representation of configuration file
    `void` | `removeConfig(Config config)`
    `void` | `removeEvent(Event event)`
    `void` | `removeOperation(Operation operation)`
    `void` | `removeQuery(Query query)`
    `void` | `removeResource(Resource resource)`
    `void` | `removeXADataSource(XADataSource xADataSource)`
    `void` | `setAuthProvider(AuthProvider authProvider)`
    `void` | `setBatchRequest(boolean batchRequest)`
    `void` | `setBoxcarring(boolean boxcarring)`
    `void` | `setConfig(Config config)`
    `void` | `setDescription(String description)`
    `void` | `setDisableLegacyBoxcarringMode(boolean disableLegacyBoxcarringMode)`
    `void` | `setDisableStreaming(boolean disableStreaming)`
    `void` | `setEnableHTTP(boolean enableHTTP)`
    `void` | `setEnableHTTPS(boolean enableHTTPS)`
    `void` | `setEnableJMS(boolean enableJMS)`
    `void` | `setEnableLocal(boolean enableLocal)`
    `void` | `setEnableXA(boolean enableXA)`
    `void` | `setEscapeNonPrintableChar(boolean escapeNonPrintableChar)`
    `void` | `setIsUseAppServerTS(boolean isUseAppServerTS)`
    `void` | `setName(String name)`
    `void` | `setPasswordProvider(String passwordProvider)`
    `void` | `setProtectedTokens(String protectedTokens)`
    `void` | `setSecureVaultNamespace(String secureVaultNamespace)`
    `void` | `setServiceHierarchy(String serviceHierarchy)`
    `void` | `setServiceNamespace(String serviceNamespace)`
    `void` | `setStatus(String status)`
    `void` | `setTxManagerClass(String txManagerClass)`
    `void` | `setTxManagerCleanupMethod(String txManagerCleanupMethod)`
    `void` | `setTxManagerName(String txManagerName)`
    `void` | `setUseColumnNumbers(boolean useColumnNumbers)`
    `void` | `setxADataSources(ArrayList<XADataSource> xADataSources)`
    `void` | `validate()` Schema validation for DS configuration file

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getServiceHierarchy

          public String getServiceHierarchy()

    - #### setServiceHierarchy

          public void setServiceHierarchy(String serviceHierarchy)

    - #### getServiceNamespace

          public String getServiceNamespace()

    - #### setServiceNamespace

          public void setServiceNamespace(String serviceNamespace)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getTxManagerName

          public String getTxManagerName()

    - #### setTxManagerName

          public void setTxManagerName(String txManagerName)

    - #### getTxManagerClass

          public String getTxManagerClass()

    - #### setTxManagerClass

          public void setTxManagerClass(String txManagerClass)

    - #### isEnableXA

          public boolean isEnableXA()

    - #### setEnableXA

          public void setEnableXA(boolean enableXA)

    - #### isUseAppServerTS

          public boolean isUseAppServerTS()

    - #### setIsUseAppServerTS

          public void setIsUseAppServerTS(boolean isUseAppServerTS)

    - #### getXADataSources

          public ArrayList<XADataSource> getXADataSources()

    - #### setxADataSources

          public void setxADataSources(ArrayList<XADataSource> xADataSources)

    - #### isBatchRequest

          public boolean isBatchRequest()

    - #### setBatchRequest

          public void setBatchRequest(boolean batchRequest)

    - #### isBoxcarring

          public boolean isBoxcarring()

    - #### setBoxcarring

          public void setBoxcarring(boolean boxcarring)

    - #### isDisableLegacyBoxcarringMode

          public boolean isDisableLegacyBoxcarringMode()

    - #### setDisableLegacyBoxcarringMode

          public void setDisableLegacyBoxcarringMode(boolean disableLegacyBoxcarringMode)

    - #### isEnableHTTP

          public boolean isEnableHTTP()

    - #### setEnableHTTP

          public void setEnableHTTP(boolean enableHTTP)

    - #### isEnableHTTPS

          public boolean isEnableHTTPS()

    - #### setEnableHTTPS

          public void setEnableHTTPS(boolean enableHTTPS)

    - #### isEnableLocal

          public boolean isEnableLocal()

    - #### setEnableLocal

          public void setEnableLocal(boolean enableLocal)

    - #### isEnableJMS

          public boolean isEnableJMS()

    - #### setEnableJMS

          public void setEnableJMS(boolean enableJMS)

    - #### isUseColumnNumbers

          public boolean isUseColumnNumbers()

    - #### setUseColumnNumbers

          public void setUseColumnNumbers(boolean useColumnNumbers)

    - #### isEscapeNonPrintableChar

          public boolean isEscapeNonPrintableChar()

    - #### setEscapeNonPrintableChar

          public void setEscapeNonPrintableChar(boolean escapeNonPrintableChar)

    - #### getConfigs

          public ArrayList<Config> getConfigs()

    - #### setConfig

          public void setConfig(Config config)

    - #### removeConfig

          public void removeConfig(Config config)

    - #### getOperations

          public ArrayList<Operation> getOperations()

    - #### addOperation

          public void addOperation(Operation operation)

    - #### removeOperation

          public void removeOperation(Operation operation)

    - #### addXADataSource

          public void addXADataSource(XADataSource xADataSource)

    - #### removeXADataSource

          public void removeXADataSource(XADataSource xADataSource)

    - #### getEvents

          public ArrayList<Event> getEvents()

    - #### addEvent

          public void addEvent(Event event)

    - #### removeEvent

          public void removeEvent(Event event)

    - #### addResource

          public void addResource(Resource resource)

    - #### removeResource

          public void removeResource(Resource resource)

    - #### getQueries

          public ArrayList<Query> getQueries()

    - #### addQuery

          public void addQuery(Query query)

    - #### removeQuery

          public void removeQuery(Query query)

    - #### getResources

          public ArrayList<Resource> getResources()

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getProtectedTokens

          public String getProtectedTokens()

    - #### setProtectedTokens

          public void setProtectedTokens(String protectedTokens)

    - #### getPasswordProvider

          public String getPasswordProvider()

    - #### setPasswordProvider

          public void setPasswordProvider(String passwordProvider)

    - #### getTxManagerCleanupMethod

          public String getTxManagerCleanupMethod()

    - #### setTxManagerCleanupMethod

          public void setTxManagerCleanupMethod(String txManagerCleanupMethod)

    - #### isDisableStreaming

          public boolean isDisableStreaming()

    - #### setDisableStreaming

          public void setDisableStreaming(boolean disableStreaming)

    - #### getSecureVaultNamespace

          public String getSecureVaultNamespace()

    - #### setSecureVaultNamespace

          public void setSecureVaultNamespace(String secureVaultNamespace)

    - #### getAuthProvider

          public AuthProvider getAuthProvider()

    - #### setAuthProvider

          public void setAuthProvider(AuthProvider authProvider)

    - #### validate

          public void validate()

      Schema validation for DS configuration file

    - #### getConfig

          public Config getConfig(String configId)

      Returns config object containing given config id.

    - #### getComplexElement

          public ComplexElement getComplexElement(org.apache.axiom.om.OMElement complexElementEl)

    - #### getResult

          public Result getResult(org.apache.axiom.om.OMElement resultEle)

    - #### populate

          public void populate(org.apache.axiom.om.OMElement dsXml)

      populate Object model using OM representation of configuration file

    - #### getOperation

          public Operation getOperation(String operationName)

      Returns operation object containing passed operation name.

    - #### getXADataSource

          public XADataSource getXADataSource(String xADataSourceId)

      Returns XADataSource object containing passed XADataSource id

    - #### getEvent

          public Event getEvent(String eventName)

      Returns Event object containing passed event name

    - #### getResource

          public Resource getResource(String resourcePath,
                                      String resourceMethod)

      Returns resource object containing passed resource name.

    - #### getParams

          public Param[] getParams(Iterator<org.apache.axiom.om.OMElement> paramItr)

      Returns an array of Param objects, when an iterator of param elements is passed in.

    - #### getQuery

          public Query getQuery(String queryId)

      Returns query object containing passed query id.

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2018 WSO2. All rights reserved.